Loading...
Searching...
No Matches
libopenmpt_ext C++

## Classes

class | openmpt::module_ext
class | openmpt::ext::pattern_vis
class | openmpt::ext::interactive
class | openmpt::ext::interactive2
class | openmpt::ext::interactive3

## Macros

#define | LIBOPENMPT_DECLARE_EXT_CXX_INTERFACE(name)
#define | LIBOPENMPT_EXT_CXX_INTERFACE(name)
#define | LIBOPENMPT_EXT_INTERFACE_PATTERN_VIS
#define | LIBOPENMPT_EXT_INTERFACE_INTERACTIVE
#define | LIBOPENMPT_EXT_INTERFACE_INTERACTIVE2
#define | LIBOPENMPT_EXT_INTERFACE_INTERACTIVE3

## Variables

static const char | openmpt::ext::pattern_vis_id [] = # pattern_vis
static const char | openmpt::ext::interactive_id [] = # interactive
static const char | openmpt::ext::interactive2_id [] = # interactive2
static const char | openmpt::ext::interactive3_id [] = # interactive3

## Detailed Description

## Macro Definition Documentation

## LIBOPENMPT_DECLARE_EXT_CXX_INTERFACE

#define LIBOPENMPT_DECLARE_EXT_CXX_INTERFACE | ( |  | name | ) |

Value:
static const char name ## _id [] = # name ; \
class name; \

## LIBOPENMPT_EXT_CXX_INTERFACE

#define LIBOPENMPT_EXT_CXX_INTERFACE | ( |  | name | ) |

Value:
protected: \
name () {} \
virtual ~ name () {} \
public: \

## LIBOPENMPT_EXT_INTERFACE_INTERACTIVE

#define LIBOPENMPT_EXT_INTERFACE_INTERACTIVE

## LIBOPENMPT_EXT_INTERFACE_INTERACTIVE2

#define LIBOPENMPT_EXT_INTERFACE_INTERACTIVE2

## LIBOPENMPT_EXT_INTERFACE_INTERACTIVE3

#define LIBOPENMPT_EXT_INTERFACE_INTERACTIVE3

## LIBOPENMPT_EXT_INTERFACE_PATTERN_VIS

#define LIBOPENMPT_EXT_INTERFACE_PATTERN_VIS

## Variable Documentation

## interactive2_id

const char openmpt::ext::interactive2_id[] = # interactive2

static

## interactive3_id

const char openmpt::ext::interactive3_id[] = # interactive3

static

## interactive_id

const char openmpt::ext::interactive_id[] = # interactive

static

## pattern_vis_id

const char openmpt::ext::pattern_vis_id[] = # pattern_vis

static